{ config, lib, pkgs, ... }:

let cfg = config.sydnix.sddm;
in {
  options.sydnix.sddm = {
    enable = lib.mkEnableOption "SDDM";
  };

  config = lib.mkIf cfg.enable {
    services.displayManager.sddm = {
      enable = true;
      wayland.enable = true;
      autoNumlock = true;
    };
  };
}
